#!/bin/sh
# install_root.sh
# $Id$

. ./install_var.sh

#set -x

if [ -z "`grep '^postgres:' /etc/passwd`" ]; then
	echo "Error: User 'postgres' does not exist. Install postgresql.";
	exit 1
fi

if [ -z "`grep '^toughlog:' /etc/group`" ]; then
	groupadd toughlog
else
	echo "Group 'toughlog' exist.";
fi

if [ -z "`grep '^toughlog:' /etc/passwd`" ]; then
	adduser -m -c "Tough Log" -g toughlog toughlog
else
	echo "User 'toughlog' exist.";
fi

[ ! -d /etc/toughlog ] && mkdir /etc/toughlog
# toughlogd.conf could have a password written in clear text, use mode 0600
install -D -o toughlog -g toughlog -m 0600 etc/toughlog/toughlogd.conf /etc/toughlog/toughlogd.conf
install -D -o ${APACHEGROUP} -g toughlog -m 0664 etc/toughlog/apache.conf /etc/toughlog/apache.conf

[ ! -d "${APACHELOG}" ] && mkdir -p ${APACHELOG}
[ ! -e ${APACHELOG}/toughlog_access_log ] && touch ${APACHELOG}/toughlog_access_log
chown ${APACHEUSER}:toughlog ${APACHELOG}/toughlog_access_log
chmod 0664 ${APACHELOG}/toughlog_access_log

# Apache
INCLUDEAPACHE="Include /etc/toughlog/apache.conf"
if [ -z "`grep -i \"^${INCLUDEAPACHE}\" ${APACHECONF}`" ]; then
	echo "# ToughLog added $(date -I)" >> ${APACHECONF}
	echo ${INCLUDEAPACHE} >> ${APACHECONF}
fi

cp install_postgres.sh /tmp/
su postgres -c "/tmp/install_postgres.sh"
rm -f /tmp/install_postgres.sh

cp install_toughlog.sh /tmp/
su toughlog -c "/tmp/install_toughlog.sh"
rm -f /tmp/install_toughlog.sh


